Package com.macrofocus.high_d.controlchart.swing

# Class SwingControlChart<Row,Column>

java.lang.Object
com.macrofocus.high_d.scatterplot.AbstractScatterPlot<JComponent,Color,Font,Row,Column>
com.macrofocus.high_d.scatterplot.swing.SwingScatterPlot<Row,Column>
com.macrofocus.high_d.controlchart.swing.SwingControlChart<Row,Column>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<JComponent>`, `ControlChart<JComponent,Color,Font,Row,Column>`, `ScatterPlot<JComponent,Color,Font,Row,Column>`

public class SwingControlChart<Row,Column> extends SwingScatterPlot<Row,Column> implements ControlChart<JComponent,Color,Font,Row,Column>

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.scatterplot.AbstractScatterPlot

  `controller, licenseModel, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingControlChart(ControlChartScatterPlotModel<Color,Row,Column> model)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ControlChartScatterPlotModel<Color,Row,Column>`
  `getModel()`
  Returns the model used by the scatter plot component.
  `void`
  `setModel(ControlChartScatterPlotModel<Color,Row,Column> model)`
  Sets the model to be used for the scatter plot component and register it to the view.

  ### Methods inherited from class com.macrofocus.high_d.scatterplot.swing.SwingScatterPlot

  `createController, createModel, createView, getNativeComponent, main, setStyleClass, setView`

  ### Methods inherited from class com.macrofocus.high_d.scatterplot.AbstractScatterPlot

  `getController, getView, load, setController, setLicenseKey, setModel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.high_d.controlchart.ControlChart

  `getController, getNativeComponent, getView, setController, setView`

- ## Constructor Details

  - ### SwingControlChart

    public SwingControlChart(ControlChartScatterPlotModel<Color,Row,Column> model)

- ## Method Details

  - ### setModel

    public void setModel(ControlChartScatterPlotModel<Color,Row,Column> model)
    Description copied from interface: `ControlChart`
    Sets the model to be used for the scatter plot component and register it to the view.
    Specified by:
      `setModel` in interface `ControlChart<JComponent,Color,Font,Row,Column>`
    Parameters:
      `model` - the model to be used

  - ### getModel

    public ControlChartScatterPlotModel<Color,Row,Column> getModel()
    Description copied from interface: `ScatterPlot`
    Returns the model used by the scatter plot component.
    Specified by:
      `getModel` in interface `ControlChart<JComponent,Color,Font,Row,Column>`
    Specified by:
      `getModel` in interface `ScatterPlot<JComponent,Color,Font,Row,Column>`
    Overrides:
      `getModel` in class `AbstractScatterPlot<JComponent,Color,Font,Row,Column>`
    Returns:
      the model in use